Attribute VB_Name = "basUtilities"
Option Explicit

 ' Some of the code from this module is used with permission from:
 ' Programming Collaborative Web Applications with
 ' Exchange 2000 Server by Mindy Martin (Microsoft)
 ' Copyright 2000. All rights reserved.

Public Function GetStorageName() As String

   ' Return the name of the storage for
   ' the current server, using ADSI and the AD.
   ' The return value is in the format:
   ' file://.backofficestorage/<domainname>/
   
   ' Turn on error trapping for VB and VBS
   On Error Resume Next
   
   Dim SysInfo As ActiveDs.ADSystemInfo
   Dim strName As String
   
   ' Reference the ADSystemInfo object in the
   Set SysInfo = New ActiveDs.ADSystemInfo
   ' Get the domain name
   strName = SysInfo.DomainDNSName
   
   If Len(strName) <> 0 Then
      ' Build the generic part of the EXOLEDB string
      GetStorageName = "file://./backofficestorage/" & strName & "/"
   Else
      ' Problem accessing the AD
      Err.Raise vbObjectError + 1959, "Unable to retrieve domain name."
   End If
   
   ' Clean up
   Set SysInfo = Nothing
   
End Function


Public Function AddQuotes(strValue As String) As String
    
    ' Given a string, wrap it in quotes, doubling
    ' any quotes within the string.
    
    Const QUOTE = """"
    AddQuotes = QUOTE & Replace(strValue, QUOTE, QUOTE & QUOTE) & QUOTE
      
End Function


